package fr.vincent.ramiere.mangerautourdesimplonback.models;

import org.springframework.security.core.GrantedAuthority;

/**
 * Énumération des rôles possibles pour un utilisateur dans le système.
 * Implémente GrantedAuthority pour l'intégration avec Spring Security.
 */
public enum EnumRole implements GrantedAuthority {
    /**
     * Rôle standard avec des droits de lecture et d'interaction de base.
     */
    ROLE_READER,
    /**
     * Rôle administrateur avec des droits étendus sur l'application.
     */
    ROLE_ADMIN;

    @Override
    public String getAuthority() {
        return name();
    }

}
